#pragma once
#include "afxwin.h"


// CPluginTestDlg dialog

class CPluginTestDlg : public CDialog
{
	DECLARE_DYNAMIC(CPluginTestDlg)

public:
	CPluginTestDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CPluginTestDlg();

// Dialog Data
	enum { IDD = IDD_SCAN3D };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedVideosource();
	afx_msg void OnBnClickedVideoformat();
	double xFirst;
	double xLast;
	double xStep;
	double yFirst;
	double yLast;
	double yStep;
	double zFirst;
	double zLast;
	double zStep;
	double feed;
	bool fIsPauseVideo;
	afx_msg void OnBnClickedVideopause();
	afx_msg void OnBnClickedVideoresume();
	afx_msg void OnBnClickedXswap();
	afx_msg void OnBnClickedYswap();
	afx_msg void OnBnClickedZswap();
	UINT xOrder;
	UINT yOrder;
	UINT zOrder;
	afx_msg void OnBnClickedToclipboard();
	afx_msg void OnBnClickedDrawtest1();
	afx_msg void OnBnClickedScanstart();
	afx_msg void OnBnClickedScanstop();
	bool fEnableScan;
	UINT videoThreshold;
	afx_msg void OnBnClickedXfirstdro();
	afx_msg void OnBnClickedXlastdro();
	afx_msg void OnBnClickedYfirstdro();
	afx_msg void OnBnClickedYlastdro();
	afx_msg void OnBnClickedZfirstdro();
	afx_msg void OnBnClickedZlastdro();
	BOOL videoMirror;
	int videoRotation;
	afx_msg void OnBnClickedVideorotate000();
	afx_msg void OnBnClickedVideorotate090();
	afx_msg void OnBnClickedVideorotate180();
	afx_msg void OnBnClickedVideorotate270();
	afx_msg void OnBnClickedMirror();
	afx_msg void OnBnClickedSave();
	UINT sampleInterval;
	afx_msg void OnEnKillfocusThreshold();
	afx_msg void OnEnKillfocusSampleinterval();
	afx_msg void OnEnKillfocusXorder();
	afx_msg void OnEnKillfocusYorder();
	afx_msg void OnEnKillfocusZorder();
	afx_msg void OnEnKillfocusXfirst();
	afx_msg void OnEnKillfocusYfirst();
	afx_msg void OnEnKillfocusZfirst();
	afx_msg void OnEnKillfocusXlast();
	afx_msg void OnEnKillfocusYlast();
	afx_msg void OnEnKillfocusZlast();
	afx_msg void OnEnKillfocusXstep();
	afx_msg void OnEnKillfocusYstep();
	afx_msg void OnEnKillfocusZstep();
	afx_msg void OnBnClickedCalcsums();
	afx_msg void OnBnClickedCalctestcloud();
	afx_msg void OnBnClickedCalstart();
	afx_msg void OnEnKillfocusFeed();
	afx_msg void OnBnClickedVideodisplay();
	// Calculated horizontal filed of view
	double hfov;
	// Calculated vertical field of view
	double vfov;
	afx_msg void OnBnClickedCalcfov();
	afx_msg void OnEnChangeVfov();
	double elevation;
	double azimuth;
	double xScale;
	double yScale;
	double zScale;
	afx_msg void OnEnKillfocusXscale();
	afx_msg void OnEnKillfocusYscale();
	afx_msg void OnEnKillfocusZscale();
	afx_msg void OnBnClickedVideodevice();
};
